using Godot;

namespace AceField.Scripts.UI;

public partial class LeaderboardRecord : Control
{
	[Export] public int Place;
	[Export] public string PlayerName;
	[Export] public int Score;

	[Export] public int PlayerId;

	public override void _Process(double delta)
	{
		GetNode<Label>("Panel/VBoxContainer/PlaceTag").Text = Place.ToString();
		GetNode<Label>("Panel/VBoxContainer/NameTag").Text = PlayerName;
		GetNode<Label>("Panel/VBoxContainer/ScoreTag").Text = Score.ToString();
	}
}
